玩蛇网提供最新Python编程技术信息以及Python资源下载!

Python工程图绘制编程函数基本应用源码

python 培训

python绘图,只近过没见过。今天在网上看到这段代码感觉很牛的,转过来一起看看。Python工程图绘制编程函数基本应用源码

# -*- coding:UTF8 -*-
#首先在犀牛5.0界面的命令行里面输入EditPythonScript
#在出来的界面复制粘贴这些代码
#把没用的注释掉,一个个试!一行行的慢慢自己看

import rhinoscriptsyntax as rs

def sums():
    a = rs.AddPoint((10,10,0)) #添加一个三维点
    b = rs.AddLine((0,0,0),(10,10,10)) # 两点确定一条直线
    c = rs.AddRectangle((0,0,0),10,20) # 中心点、长和宽
    d = rs.AddSphere((0,0,0),10) #圆心点、半径画球体
    e = rs.AddCircle((0,0,0),15) #圆心点、半径画圆型
    f = rs.AddCylinder((0,0,0),10,5,cap=True) #圆心点、高和半径画圆柱
    g = rs.AddCone((0,0,0),30,15) #圆心点、高和半径画圆锥
    h = rs.AddTorus((0,0,0),20,7,(10,10,10))# 大圆心大半径、小半径小圆心
    i = rs.AddArc((0,0,0),10,260) # 圆心点、半径、角度画弧线
    j = rs.AddEllipse((0,0,0),10,5) # 圆心点、半径、宽
    k = rs.AddSrfPt([(0,0,0),(10,0,0),(10,0,10),(0,0,10)])
    l = rs.AddText("道一",(0,0,0),font="幼圆",font_style=1,height=5.0) # 添加文本格式图像
    m = rs.AddPlanarMesh(e) # 调用e的方法 屏蔽其他的就流e和m
    n = rs.AddEllipse3Pt((0,0,0),(5,0,0),(0,10,0)) # 椭圆形
    o = rs.AddEllipse3Pt((0,0,0),(5,2,4),(4,5,7)) # 三维椭圆型
    p = rs.AddPlanarMesh(o) # 变形
sums()

玩蛇网原创,转载请注明文章出处和来源网址:http://www.iplaypython.com/code/graphics/gr2364.html



微信公众号搜索"玩蛇网Python之家"加关注,每日最新的Python资讯、图文视频教程可以让你一手全掌握。强烈推荐关注!

微信扫描下图可直接关注

玩蛇网Python新手QQ群,欢迎加入: ① 240764603 玩蛇网Python新手群
文章发布日期:2016-04-13 21:26 玩蛇网 www.iplaypython.com

评论列表(网友评论仅供网友表达个人看法,并不表明本站同意其观点或证实其描述)
相关文章推荐
别人正在看
特别推荐
去顶部去底部